<template>
  <span class="defaultInputContainer">
    <input id="inputDefault"
      v-bind:type="inputType"/>
    <label for="inputDefault"
      class="defaultInputPlaceholder">
      {{postTitle}}
    </label>
  </span>
</template>
<script>
export default {
  name: 'DefaultInput',
  props: ['postTitle', 'inputType']
}
</script>
<style scoped>
.defaultInputContainer{
  background: #F5F5F5;
  width: auto;
  padding: 10px;
  position: relative
}
#inputDefault{
    border: 1px solid #37474F;
    border-radius: 3px;
    padding: 5px 0px 5px 10px;
    font-size: 16px;
    font-family: Roboto;
    outline: none;
    color: #616161;
}
.defaultInputPlaceholder{
    font-family: Roboto;
    font-size: 16px;
    background: #ffffff;
    position: absolute;
    left: 18px;
    top: -10px;
    padding: 0px 3px;
}
</style>
